<!DOCTYPE html>
<html>
<head>
  <title>Update Reservation</title>
</head>
<body>
  <h1 style="align-items: center; text-align: center;">Update Reservation</h1>

  <form id="updateForm" style="height: 350px; width: 400px; border: 1px solid green; align-items: center; margin-left: 400px;">
    
    <div style="margin: 10px; height: 80px; width: 95%; margin-bottom: 20px;">
      <label style="height: 40px; width: 100%;" for="dateInput">Date:</label>
      <input style="height: 40px; width: 100%;" type="date" id="dateInput" name="date">
    </div>
    <div style="margin: 10px; height: 80px; width: 95%; margin-top: 20px;">
      <label for="timeInput">Time:</label>
      <input style="height: 40px; width: 100%;" type="time" id="timeInput" name="time">
    </div>
    <div style="margin: 10px; height: 80px; width: 95%;">
      <label for="gameTypeInput">Game Type:</label>
      <input style="height: 40px; width: 100%;" type="text" id="gameTypeInput" name="gameType">
    </div>
    <button style="height: 40px; width: 90%; margin-left: 20px;" type="submit">Update Reservation</button>
  </form>

  <script>
    // Get the reservation ID from the query parameter
    const queryString = window.location.search;
    const urlParams = new URLSearchParams(queryString);
    const reservationId = urlParams.get('id');

    // Fetch the existing reservation data and pre-fill the form fields
    fetch(`http://localhost:4001/api/v1/reserve/${reservationId}`)
      .then(response => response.json())
      .then(reservation => {
        
        document.getElementById('dateInput').value = reservation.date;
        document.getElementById('timeInput').value = reservation.time;
        document.getElementById('gameTypeInput').value = reservation.game_type;
      })
      .catch(error => console.log(error));

    // Handle form submission
    document.getElementById('updateForm').addEventListener('submit', (event) => {
      event.preventDefault();

      // Get the updated values from the form fields
     
      const updatedDate = document.getElementById('dateInput').value;
      const updatedTime = document.getElementById('timeInput').value;
      const updatedGameType = document.getElementById('gameTypeInput').value;

      // Create an object with the updated data
      const updatedData = {
      
        date: updatedDate,
        time: updatedTime,
        game_type: updatedGameType
      };

      // Make a PUT or PATCH request to update the reservation
      fetch(`http://localhost:4001/api/v1/reserve/${reservationId}`, {
        method: 'PUT', // or 'PATCH'
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(updatedData)
      })
      .then(response => response.json())
      .then(updatedReservation => {
        console.log('Reservation updated:', updatedReservation);
        // Redirect back to the reservations list page
        window.location.href = '/me';
      })
      .catch(error => console.log(error));
    });
  </script>
</body>
</html>
